# -i (Include filenames) switch

Specifies additional include filenames and wildcards.

Multiple include switches are supported.

#### Syntax

    -i[<recurse_type>]<file_ref>

    <recurse_type> ::= r[- | 0]
    <file_ref> ::= @{listfile} | !{wildcard}

#### Parameters

<recurse_type>

  Specifies how wildcards and file names in this switch must be used. If this option is not given, then the global value, assigned by the -r (Recurse) switch will be used. For more details see specification of the -r (Recurse) switch.

      <recurse_type> ::= r[- | 0]

<file_ref>

  Specifies filenames and wildcards, or a list file, for files to be processed.

      <file_ref> ::= @{listfile} | !{wildcard}

  Option | Description
  --- | ---
  {listfile} | Specifies name of list file. See List file description.
  {wildcard} | Specifies wildcard or filename.

#### Examples

    7z a -tzip src.zip *.txt -ir!DIR1\*.cpp

adds to src.zip archive all *.txt files from current directory and all *.cpp files from directory DIR1 and from all it's subdirectories.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), l (List), t (Test), u (Update), x (Extract with full paths)

#### See also

Switches: -r (Recurse), -x (Exclude)